Subject: Re: dsa: mv88e6xxx not receiving IPv6 multicast packets

From: Andrew Lunn <[email-masked]>
Date: Sun, 15 Nov 2020 18:27:05 +0100

> Using tcpdump I *think* enp2s0 (wired link direct into lan1 on 'good')
> always showed the laptop sending multicast listener report v2 packets on
> a regular cadence of about 60-100 seconds as well as the DHCPv6
> solicit/renews and that cadence matched when the timers on the output of
> "bridge -d -s mdb show" reset to approximately 258.
> 
> But for wlp4s0 (wifi to 'bad') the DHCPv6 solicit/renew didn't seem to
> be accompanied by multicast listener reports and the mdb timers expired.

So check if you have an IGMP querier in the network. If not, try
turning it on in the bridge,

ip link set br0 type bridge mcast_querier 1

   Andrew